### Name: rollmean
### Title: Rolling Means/Maximums/Medians
### Aliases: rollmean rollmax rollmedian rollmean.zoo rollmedian.zoo
###   rollmax.zoo rollmean.ts rollmedian.ts rollmax.ts rollmean.default
###   rollmedian.default rollmax.default
### Keywords: ts

### ** Examples

x.Date <- as.Date(paste(2004, rep(1:4, 4:1), sample(1:28, 10), sep = "-"))
x <- zoo(rnorm(12), x.Date)

rollmean(x, 3)
rollmax(x, 3)
rollmedian(x, 3)

xm <- zoo(matrix(1:12, 4, 3), x.Date[1:4])
rollmean(xm, 3)
rollmax(xm, 3)
rollmedian(xm, 3)

rollapply(xm, 3, mean) # uses rollmean
rollapply(xm, 3, function(x) mean(x)) # does not use rollmean




