### Name: yearqtr
### Title: An Index Class for Quarterly Data
### Aliases: yearqtr as.yearqtr as.yearqtr.default as.yearqtr.numeric
###   as.yearqtr.integer as.yearqtr.dates as.yearqtr.Date as.yearqtr.POSIXt
###   as.yearqtr.character as.yearqtr.factor as.yearqtr.yearqtr
###   as.Date.yearqtr as.POSIXct.yearqtr as.POSIXlt.yearqtr
###   as.numeric.yearqtr as.character.yearqtr as.data.frame.yearqtr
###   c.yearqtr cycle.yearqtr format.yearqtr print.yearqtr summary.yearqtr
###   [.yearqtr MATCH.yearqtr Ops.yearqtr -.yearqtr
### Keywords: ts

### ** Examples

x <- yearqtr(2000 + seq(0, 7)/4)
x

format(x, "%Y Quarter %q")
as.yearqtr("2001 Q2")
as.yearqtr("2001 q2") # same
as.yearqtr("2001-2") # same

# returned Date is the fraction of the way through
# the period given by frac (= 0 by default)
dd <- as.Date(x)
format.yearqtr(dd)
as.Date(x, frac = 1)
as.POSIXct(x)

zz <- zoo(rnorm(8), x, frequency = 4)
zz
as.ts(zz)




